var SaveRemote = function()
{
	var remote = {};
	var selectedFiles;
	var debug = 1;
	
	remote.initPage = function()
	{
		Buttons.addClickHandler('close', App.closeWindow);

		Buttons.addClickHandler('btnBrowse', remote.browseOnClick);
		Events.addEventHandler('path', 'base-selected', remote.setSaveAsCallback);

		Buttons.addClickHandler('btnSave', remote.saveOnClick);
		
		selectedFiles = window.opener.Remote.getSelectedFiles();
		var singleFolder = null;
		var manyFolders = false;
		
		var totalSize = 0;
		for (var fileNo = 0; fileNo < selectedFiles.length; fileNo++)
		{
			var file = selectedFiles[fileNo];
			totalSize += file.size;
			if (singleFolder == null)
			{
				singleFolder = file.folder;
			}
			else if (singleFolder != file.folder)
			{
				manyFolders = true;
			}
		}
		
		Doc.element('num-files').innerHTML = selectedFiles.length;
		Doc.element('total-size').innerHTML = Numbers.formatBytes(totalSize);
		
		frm = document.forms['reggie'];
		frm.preserveSubFolders.checked = manyFolders;
	}
	
	remote.browseOnClick = function(event)
	{
		var url = App.getRoot()+'filemanager/directories/index.jsp?ID=' + App.getSessionId();
		url += '&mode=selectonedirectory&title=Move+to';
		url += '&callback=path';
		Dialogs.openPopup(url, 'SelectDirectory', 500, 500);
	}
	
	remote.setSaveAsCallback = function(event)
	{
		var frm = document.forms['reggie'];
		frm.path.value = event.detail.name;
	}

	remote.saveOnClick = function()
	{
		var frm = document.forms['reggie'];
		if (frm.path.value == '')
		{
			Forms.showNotification('btnBrowse', 'Please select a directory');
			return;
		}
		
		var submitInfo = {};
		submitInfo.clusterId = Data.get('page-data', 'cluster-id');
		submitInfo.path = Data.get('page-data', 'path');
		submitInfo.itemType = Data.get('page-data', 'item-type');
		submitInfo.itemId = Data.int('page-data', 'item-id');
		submitInfo.files = selectedFiles;
		submitInfo.basePath = frm.path.value;
		submitInfo.overwrite = frm.overwrite.checked;
		submitInfo.preserveSubFolders = frm.preserveSubFolders.checked;
		
		if (debug) App.debug(JSON.stringify(submitInfo));
		
		var url = '../OpenGrid.servlet?ID='+App.getSessionId();
		url += '&cmd=SaveProjectFilesToBase';
		var request = Ajax.getXmlHttpRequest();
		request.open("POST", url, false);
		request.send(JSON.stringify(submitInfo));
		
		if (debug) App.debug(request.responseText);

		var response;
		var error = false;
		try
		{
			response = JSON.parse(request.responseText);
			if (response.status != 'ok')
			{
				error = response.message || response.stacktrace || 'Unexpected error';
			}
		}
		catch (ex)
		{
			error = ex;
		}
		if (error)
		{
			Doc.element('errorMessage').innerHTML = error;
			Doc.show('errorMessage');
			Doc.hide('save-to-base');
			Doc.hide('btnSave');
			return;
		}

		var job = response.job;
		Items.viewItem('JOB', job);
	}
	
	return remote;
}();

Doc.onLoad(SaveRemote.initPage);
