<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	
	String clusterId = request.getParameter("clusterId");
	String path = request.getParameter("path");
	String itemType = Values.getStringOrNull(request.getParameter("itemType"));
	int itemId = Values.getInt(request.getParameter("itemId"));
%>
<base:page type="popup" title="View remote files">
<base:head scripts="~view_remote_files.js,~../reggie.js" styles="path.css,~../css/reggie.css">

<style>
#file-list
{
	width: 100%;
	border-collapse: collapse;
	border-bottom: 1px solid #A8A8A8;
}

#file-list th
{
	background-color: #E8E8E8;
	text-align: left;
	padding: 2px;
	border-bottom: 1px solid #A8A8A8;
}

#file-list td
{
	padding: 2px;
}

#file-list .file-size
{
	text-align: left;
}

#file-list .folder
{
	font-weight: bold;
	font-style: italic;
	border-bottom: 1px solid #A8A8A8;
}

#file-list .folder td
{
	padding-top: 1em;
}

#file-list .file
{
	border-bottom: 1px dotted #A8A8A8;
}

#file-list td:first-child
{
	width: 25px;
	text-align: center;	
}

#file-list .file td.file-name
{
	padding-left: 2em;
}

</style>

</base:head>
<base:body>
	<h1><%=HTML.encodeTags(path) %></h1>

	<div id="page-data" class="datacontainer"
		data-cluster-id="<%=HTML.encodeTags(clusterId) %>"
		data-path="<%=HTML.encodeTags(path)%>"
		data-item-type="<%=itemType == null ? "" : itemType%>"
		data-item-id="<%=itemId%>"
	></div>
	
	<form name="reggie">
	<div class="content bottomborder">
		<div class="loading" id="loading" style="display: none; margin-top: 2em;"><table><tr><td><img src="../images/loading.gif"></td><td id="loading.msg">Please wait...</td></tr></table></div>
		<div class="messagecontainer error" id="errorMessage" style="display: none;"></div>
		<div id="files"></div>
	</div>
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="btnSaveToBase" title="Save to BASE..." image="saveas.png" />
		<base:button id="close" title="Close" />
	</base:buttongroup>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>