<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head scripts="ajax.js" styles="path.css">
	<link rel="stylesheet" type="text/css" href="../css/reggie.css">
	<script language="JavaScript" src="../reggie.js" type="text/javascript" charset="UTF-8"></script>

<script language="JavaScript">

var debug = 0;
var currentStep = 1;

var dateIsValid = [];

function init()
{
	var frm = document.forms['reggie'];
	var bioplates = getMRnaBioPlates();
	
	// Load existing mRNA plates without a dilution date
	var plates = frm.bioplate;
	if (bioplates != null && bioplates.length > 0)
	{
		for (var i=0; i < bioplates.length; i++)
		{
			var bioplate = bioplates[i];
			var option = new Option(bioplate.name, bioplate.id);
			option.comments = bioplate.comments;
			plates.options[plates.length] = option;
		}
		bioplateIsValid = true;
		setInputStatus('bioplate', '', 'valid');
		bioPlateOnChange();
	}
	else
	{
		var msg = 'No mRNA bioplates available for processing.';
		setFatalError(msg);
		return;
	}

	// All is ok
	frm.bioplate.focus();
}


function goNextAuto()
{
	goNext(false);
}

function goNext(manual)
{
	setInnerHTML('gonext.message', '');
	if (currentStep == 1)
	{		
		gotoStep2();
	}
	setCurrentStep(currentStep);
}



function getMRnaBioPlates()
{
	var frm = document.forms['reggie'];	
	
	var request = Ajax.getXmlHttpRequest();
	try
	{
		showLoadingAnimation('Loading histology work lists...');
		var url = '../MRna.servlet?ID=<%=ID%>&cmd=GetUnprocessedPlates&plateType=MRNA&onlyUndiluted=1';		
		request.open("GET", url, false);	
		request.send(null);
	}
	finally
	{
		hideLoadingAnimation();
	}
	
	if (debug) Main.debug(request.responseText);
	var response = JSON.parse(request.responseText);	
	if (response.status != 'ok')
	{
		setFatalError(response.message);
		return false;
	}
	return response.bioplates;
}

function gotoStep2()
{
	var frm = document.forms['reggie'];	
	frm.bioplate.disabled = true;

	
	currentStep = 2;
	Main.show('step.2.section');
	Main.addClass(document.getElementById('step.1.section'), 'disabled');
	Main.hide('gonext');
	Main.show('gocancel');
	Main.show('goregister');
	
	frm.dilutionDate.focus();
}


function bioPlateOnChange()
{
	var frm = document.forms['reggie'];
	frm.comments.value = frm.bioplate[frm.bioplate.selectedIndex].comments;
}


function dateOnChange(dateField)
{
	var frm = document.forms['reggie'];

	setInputStatus(dateField, '', '');
	dateIsValid[dateField] = false;
	var date = frm[dateField].value;

	if (date == '')
	{
		setInputStatus(dateField, 'Missing date', 'invalid');
		return;
	}

	// Auto-fill the date if it's only given with 4(MMdd) or 6(yyMMdd) digits.		
	date = autoFillDate(date);
	frm[dateField].value = date;
	if (!Dates.isDate(date, 'yyyyMMdd'))
	{
		setInputStatus(dateField, 'Not a valid date', 'invalid');
		return;
	}
	
	dateIsValid[dateField] = true;
	setInputStatus(dateField, '', 'valid');
}

function setDate(frmName, dateField, date)
{
	var frm = document.forms['reggie'];
	frm[dateField].value = date;
	dateOnChange(dateField);
	frm[dateField].focus();
}

function step2IsValid()
{
	var frm = document.forms['reggie'];
	if (dateIsValid['dilutionDate'] == false) return false;
	return true;
}

function goRegister()
{
	if (!step2IsValid()) return;

	var frm = document.forms['reggie'];
	
	Main.hide('goregister');
	Main.hide('gocancel');
	Main.hide('gonext.message');
	Main.addClass(document.getElementById('step.2.section'), 'disabled');

	frm.dilutionDate.disabled = true;
	frm.dilutionOperator.disabled = true;
	frm.comments.disabled = true;
	
	var submitInfo = {};
	submitInfo.bioplate = parseInt(frm.bioplate.value, 10);
	submitInfo.dilutionDate = frm.dilutionDate.value;
	submitInfo.dilutionOperator = frm.dilutionOperator.value;
	submitInfo.comments = frm.comments.value;
	
	if (debug) Main.debug(JSON.stringify(submitInfo));
	var url = '../MRna.servlet?ID=<%=ID%>&cmd=RegisterRNADilution';
	
	var request = Ajax.getXmlHttpRequest();
	try
	{
		showLoadingAnimation('Performing registration...');
		request.open("POST", url, false);
		request.send(JSON.stringify(submitInfo));
	}
	finally
	{
		hideLoadingAnimation();
	}
	
	if (debug) Main.debug(request.responseText);
	var response = JSON.parse(request.responseText);
	
	if (response.messages && response.messages.length > 0)
	{
		var msg = '<ul>';
		for (var i = 0; i < response.messages.length; i++)
		{
			var msgLine = response.messages[i];
			if (msgLine.indexOf('[Warning]') >= 0)
			{
				msg += '<li class="warning">' + msgLine.replace('[Warning]', '');
			}
			else
			{
				msg += '<li>' + msgLine;
			}
		}
		msg += '</ul>';
		setInnerHTML('messages', msg);
		Main.show('messages');
	}
	
	if (response.status != 'ok')
	{
		Main.addClass(document.getElementById('messages'), 'failure');
		setFatalError(response.message);
		return false;
	}

	Main.show('gorestart');	
}


</script>

</base:head>
<base:body onload="init()">

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="RNA dilution registration" 
		/></p:path>

	<div class="content">
	<%
	if (sc.getActiveProjectId() == 0)
	{
		%>
		<div class="messagecontainer note" style="width: 950px; margin-left: 20px; margin-bottom: 20px; margin-right: 0px; font-weight: bold; color: #cc0000;">
			No project has been selected. You may proceed with the registration but 
			created items will not be shared.
		</div>
		<%
	}
	%>

	<form name="reggie" onsubmit="return false;">
		<input type="hidden" name="pdf.id" value="">
	
	<div id="step.1.section">
	<table class="stepform">
	<tr>
		<td rowspan="3" class="stepno">1</td>
		<td class="steptitle">Select mRNA bioplate</td>
	</tr>
	<tr>
		<td class="stepfields">
			<table>
			<tr valign="top">
				<td class="prompt">mRNA bioplate</td>
				<td class="input"><select class="required" style="width:90%;" 
						name="bioplate" id="bioplate" onchange="bioPlateOnChange()"></select>
				</td>
				<td class="status" id="bioplate.status"></td>
				<td class="help"><span id="bioplate.message" class="message" style="display: none;"></span>
					Select an existing mRNA bioplate. The list contain all mRNA bioplates that
					has not been diluted, but not yet registered as completed (determined by the absence of a 
					'DilutionDate' annotation).
				</td>
			</tr>
			</table>
		</td>
	</tr>
	</table>
	</div>
	
	<div id="step.2.section" style="display: none;">
	<table class="stepform">
	<tr>
		<td rowspan="3" class="stepno">2</td>
		<td class="steptitle">mRNA preparation information</td>
	</tr>
	<tr>
		<td class="stepfields">
			<table>
			<tr valign="top">
				<td class="prompt">Dilution date</td>
				<td class="input">
					<input type="text" class="required" name="dilutionDate" value="" size="12" maxlength="10"
						onblur="dateOnChange(this.name)" onkeypress="focusOnEnter(event, 'dilutionOperator')">
						<base:icon 
							onclick="Dates.selectDate('Dilution date', 'reggie', 'dilutionDate', 'setDate', 'yyyyMMdd')"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="dilutionDate.status"></td>
				<td class="help">
					<span id="dilutionDate.message" class="message" style="display: none;"></span>Date the RNA was diluted (YYYYMMDD or MMDD)
				</td>
			</tr>
			<tr valign="top">
				<td class="prompt">Operator</td>
				<td class="input">
					<input type="text" name="dilutionOperator" value="<%=HTML.encodeTags(user.getName()) %>" 
						style="width: 90%;" maxlength="255" onkeypress="focusOnEnter(event, 'comments')">
				</td>
				<td class="status" id="dilutionOperator.status"></td>
				<td class="help">
					<span id="dilutionOperator.message" class="message" style="display: none;"></span>
				</td>
			</tr>
			<tr valign="top">
				<td class="prompt">Comments</td>
				<td class="input"><textarea rows="4" cols="50" style="width: 90%;" name="comments" value=""></textarea></td>
				<td class="status" id="comments.status"></td>
				<td class="help"><span id="comments.message" class="message" style="display: none;"></span>Comments about the mRNA processing.</td>
			</tr>
			</table>
		</td>
	</tr>
	</table>
	</div>
	
	<div class="loading" id="loading" style="display: none;"><table><tr><td><img src="../images/loading.gif"></td><td id="loading.msg">Please wait...</td></tr></table></div>
	
	<div class="messagecontainer error" id="errorMessage" style="display: none; width: 950px; margin-left: 20px; margin-bottom: 0px;"></div>
	
	<div id="messages" class="success" style="display: none; width: 950px; margin-left: 20px; margin-top: 20px;"></div>
	
	<table style="margin-left: 20px; margin-top: 10px;" class="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" onclick="goRestart(false)" style="display: none;"/></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" onclick="goNext(true)"/></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>" onclick="goRegister()" style="display: none;"/></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" onclick="goRestart(true)" style="display: none;"/></td>
			<td id="gonext.message" class="message"></td>
		</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>